# Uses of Interface
com.sun.source.util.TaskListener

Packages that use TaskListener
Package
Description
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of TaskListener in com.sun.source.util

Methods in com.sun.source.util with parameters of type TaskListener
Modifier and Type
Method
Description
`abstract void`
JavacTask.`addTaskListener(TaskListener taskListener)`
Adds a specified listener so that it receives notification of events describing the progress of this compilation task.
`abstract void`
JavacTask.`removeTaskListener(TaskListener taskListener)`
Removes the specified listener so that it no longer receives notification of events describing the progress of this compilation task.
`abstract void`
JavacTask.`setTaskListener(TaskListener taskListener)`
Sets a specified listener to receive notification of events describing the progress of this compilation task.